Introducing VIDA Identity Stack: All of VIDA, in one place 🎉
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Liveness Check

Liveness API

POST https://{vida.host}/biometrics/v2/services/face/liveliness

Headers

Name
Type
Description

Authorization*

OAuth access token.

Get the token by calling the

Authentication API

Content-Type*

application/json

Format type of request body

Request Body

Name
Type
Description

image*

String

Data URI scheme, Base64 encoded image.

partnerTrxId*

String

A partner can optionally send a transaction id to co-relate their transaction with VIDA transaction. However, it is an optional parameter and is maintained by the partner.

imgManipulationCheckEnabled

boolean

Enable this option to identify morph patterns commonly present in photoshopped images, generated swapped selfie images, and deep fakes.

API Response

Liveness Detection Successful

HTTP Status Code: 200

JSON Response
The system detected a higher confidence of live selfie when the liveness score < 0.95.
{
   "data": {
      "code": 1043,
      "message": "Selfie photo is a live photo",
      "score": "0.001102",
      "imgManipulationScore": "0.098010", //Available only when imgManipulation is enabled
      "transactionId": "f373342c-77f8-406e-95ca-1a9744369b28"
   }
} 

The success response in live selfie will consist of:

  • score

  • transactionId.

The liveness score ranges from 0 to 1. The score of 0 (zero) represents maximum liveness, and the score of 1 represents minimum liveness of the selfie. The default threshold is a 0.95 score.

Liveness Score below the Threshold

HTTP Status Code: 200

JSON Response

The system detected a higher confidence of spoofed or hacked selfie when the liveness score >= 0.95.

The success response in spoof or hacked selfie will consist of:

  • score

  • transactionId

The liveness score ranges from 0 to 1. The score of 0 (zero) represents maximum liveness and the score of 1 represents minimum liveness of the selfie. The default threshold is a 0.95 score.

Face Occluded

HTTP Status Code: 400

Recommendation : The partner must ensure there is no occluded object when capturing the selfie.

JSON Response

The face in the selfie is occluded by an object.

Face Too Small

HTTP Status Code: 400

Recommendation: The partner must capture the face size area greater than 50x50 pixels.

JSON Response

The face size area is smaller than 50 x 50 pixels.

Image quality low

HTTP Status Code: 400

Recommendation: The partner needs to ensure the image input is in good quality condition.

JSON Response

The system captures the possibility of broken image, corrupted image, or low quality.

Multiple faces detected

HTTP Status Code: 400

Recommendation: The partner needs to ensure that only one face is in the frame.

JSON Response

Multiple faces are detected in the frame.

No face detected

HTTP Status Code: 400

Recommendation: The partner needs to ensure at least one face is present in the frame.

JSON Response

No face object found in the image frame.

Unnatural Colour Detected

HTTP Status Code: 400

Recommendation: The partner needs to ensure the selfie should be clean and undamaged.

JSON Response

Damaged image or saturated image is detected.

Under Exposure Detected

HTTP Status Code: 400

Recommendation: The partner needs to ensure the selfie should be well-lit and properly exposed.

JSON Response

A low lighting selfie is detected.

Over Exposure Detected

HTTP Status Code: 400

Recommendation: The partner needs to ensure the selfie should be properly exposed with no blown-out highlight.

JSON Response

Overexposure or blown-out highlights in a selfie are detected.

Blurry Image Detected

HTTP Status Code: 400

Recommendation: The partner needs to ensure the selfie should be sharp and in focus.

JSON Response

Blurry conditions or defocused face in a selfie are detected.

Multiple Error Example

The error response format in case of multiple error.

Recommendation: The partner needs to ensure all the errors are addressed.

HTTP Status Code: 400

Over Exposure, Image is Blur and Unnatural color

JSON Response

Unnatural Color and Under Exposure

JSON Response

Unnatural Color and Blur Image

JSON Response

Last updated